﻿@{
    ViewBag.Title = "Owner's Information Edit";
}

@model OwnerSite.ViewModels.OwnersInfoView

@section HEADERJS{
    <script type="text/javascript" src="https://cdn.jsdelivr.net/jquery/2.1.3/jquery.min.js"></script>
}

@section FOOTERJS{
    <script src="~/Content/vendors/js/toastr.min.js"></script>
    <script src="~/Content/vendors/js/coreui.min.js"></script>
}
@section PAGETITLE{
    OwnersInfoView
}
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, shrink-to-fit=no">
    <meta name="description" content="CoreUI - Open Source Bootstrap Admin Template">
    <meta name="author" content="Łukasz Holeczek">
    <meta name="keyword" content="Bootstrap,Admin,Template,Open,Source,jQuery,CSS,HTML,RWD,Dashboard">
    <title>HAMS - Login</title>
    <!-- Icons-->
    <link href="~/Content/vendors/css/coreui-icons.min.css" rel="stylesheet" />
    <link href="~/Content/vendors/css/flag-icon.min.css" rel="stylesheet" />
    <link href="~/Content/vendors/css/font-awesome.min.css" rel="stylesheet" />
    <link href="~/Content/vendors/css/simple-line-icons.min.css" rel="stylesheet" />
    <!-- Main styles for this application-->
    <link href="~/Content/css/style.css" rel="stylesheet" />
    <link href="~/Content/vendors/css/pace.min.css" rel="stylesheet" />


    <script type="text/javascript" src="https://cdn.jsdelivr.net/jquery/1/jquery.min.js"></script>
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/js/toastr.min.js"></script>
    <link href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/css/toastr.min.css" rel="stylesheet">
</head>

<body class="app flex-row align-items-center">
    <div class="container-fluid">
        <div class="card">
            <div class="card-body">
                @using (Html.BeginForm("OwnersEditAfterLogin", "Owner", new { ReturnUrl = ViewBag.ReturnUrl }, FormMethod.Post, new { @class = "form-horizontal", role = "form" }))
                {
                <h5 style="border-bottom: 3px solid #8585ce">Basic Information</h5>
                <div class="row">
                    <div class="col-6">
                        <div class="form-group row mb-3">
                            @Html.LabelFor(m => m.OwnerInfo.Mobile, new { @class = "col-12 col-md-4 col-lg-4 col-xl-4 col-form-label" })
                            @Html.TextBoxFor(m => m.OwnerInfo.Mobile, new { @class = "form-control form-control-sm col-12 col-md-8 col-lg-8 col-xl-8", placeholder = "Owner's Mobile Number", id = "owner-mobile", type = "text", onkeyup = "func_for_unsaved()" })
                        </div>
                        <div class="form-group row mb-3">
                            @Html.LabelFor(m => m.OwnerInfo.Email, new { @class = "col-12 col-md-4 col-lg-4 col-xl-4 col-form-label" })
                            @Html.TextBoxFor(m => m.OwnerInfo.Email, new { @class = "form-control form-control-sm col-12 col-md-8 col-lg-8 col-xl-8", placeholder = "Owner's Email", id = "owner-email", type = "text", onkeyup = "func_for_unsaved()" })
                        </div>
                        <div class="form-group row mb-3">
                            <label class="col-12 col-md-4 col-lg-4 col-xl-4 col-form-label" style="text-align: left">Present Address</label>
                            @Html.TextAreaFor(m => m.OwnerInfo.PresentAddress, new { @class = "form-control form-control-sm col-12 col-md-8 col-lg-8 col-xl-8", placeholder = "Owner's Present Address", id = "owner-pre-address", type = "text", onkeyup = "func_for_unsaved()" })
                        </div>
                        <div class="form-group row mb-3">
                            <label class="col-12 col-md-4 col-lg-4 col-xl-4 col-form-label" style="text-align: left">Permanant Address</label>
                            @Html.TextAreaFor(m => m.OwnerInfo.PermanantAddress, new { @class = "form-control form-control-sm col-12 col-md-8 col-lg-8 col-xl-8", placeholder = "Owner's Permanant Address", id = "owner-per-address", type = "text", onkeyup = "func_for_unsaved()" })
                        </div>
                    </div>
                    <div class="col-6">
                        <div class="form-group row mb-3">
                            <label class="col-12 col-md-4 col-lg-4 col-xl-4 col-form-label" style="text-align: left">Profile Picture</label>
                            <div class="col-sm-3 col-lg-6 col-md-3" align="right">
                                <div class="row">
                                    @{
                                            var time = "?" + DateTime.Now.ToString("h:mm:ss tt");
                                    }
                                    @{
                                            if (Model.IsProfilePictureExists == true)
                                            {
                                        <img id="profile-pic" src="@Url.Content(Model.OwnerInfo.PicturePath + time)" alt="HTML5 Icon" width="128" height="128">
                                            }
                                            else
                                            {
                                        <img id="profile-pic" src="~/Content/ownerprofilepictures/base.jpg" alt="HTML5 Icon" width="128" height="128">
                                            }
                                    }
                                </div>
                                <div class="row"><input id="file" type="file" style="color: transparent" accept="image/png,image/jpeg" /></div>
                            </div>
                        </div>
                    </div>
                </div>
                <h5 style="border-bottom: 3px solid #8585ce">Security</h5>
                <div class="row">
                    <div class="col-6">
                        <div class="form-group row mb-3">
                            @Html.LabelFor(m => m.OwnerInfo.Password, new { @class = "col-12 col-md-4 col-lg-4 col-xl-4 col-form-label" })
                            @Html.TextBoxFor(m => m.OwnerInfo.Password, new { @class = "form-control form-control-sm col-12 col-md-8 col-lg-8 col-xl-8", placeholder = "Owner's Password", id = "owner-Password", type = "password", onkeyup = "func_for_unsaved()" })
                        </div>
                    </div>
                </div>
                <h5 style="border-bottom: 3px solid #8585ce">Bank Information</h5>
                <div class="row">
                    <div class="col-6">
                        <div class="form-group row mb-3">
                            @Html.LabelFor(m => m.OwnerInfo.AccountName, new { @class = "col-12 col-md-4 col-lg-4 col-xl-4 col-form-label" })
                            @Html.TextBoxFor(m => m.OwnerInfo.AccountName, new { @class = "form-control form-control-sm col-12 col-md-8 col-lg-8 col-xl-8", placeholder = "Owner's Account Name", id = "owner-AccountName", type = "text", onkeyup = "func_for_unsaved()" })
                        </div>
                        <div class="form-group row mb-3">
                            @Html.LabelFor(m => m.OwnerInfo.AccountNo, new { @class = "col-12 col-md-4 col-lg-4 col-xl-4 col-form-label" })
                            @Html.TextBoxFor(m => m.OwnerInfo.AccountNo, new { @class = "form-control form-control-sm col-12 col-md-8 col-lg-8 col-xl-8", placeholder = "Owner's Account No", id = "owner-AccountNo", type = "text", onkeyup = "func_for_unsaved()" })
                        </div>
                    </div>
                    <div class="col-6">
                        <div class="form-group row mb-3">
                            @Html.LabelFor(m => m.OwnerInfo.BankName, new { @class = "col-12 col-md-4 col-lg-4 col-xl-4 col-form-label" })
                            @Html.TextBoxFor(m => m.OwnerInfo.BankName, new { @class = "form-control form-control-sm col-12 col-md-8 col-lg-8 col-xl-8", placeholder = "Owner's Bank Name", id = "owner-BankName", type = "text", onkeyup = "func_for_unsaved()" })
                        </div>
                        <div class="form-group row mb-3">
                            @Html.LabelFor(m => m.OwnerInfo.RoutingNo, new { @class = "col-12 col-md-4 col-lg-4 col-xl-4 col-form-label" })
                            @Html.TextBoxFor(m => m.OwnerInfo.RoutingNo, new { @class = "form-control form-control-sm col-12 col-md-8 col-lg-8 col-xl-8", placeholder = "Owner's Routing No", id = "owner-RoutingNo", type = "text", onkeyup = "func_for_unsaved()" })
                        </div>
                    </div>
                    <div class="col-6">

                        <div class="form-group row mb-3">
                            @Html.LabelFor(m => m.OwnerInfo.BranchName, new { @class = "col-12 col-md-4 col-lg-4 col-xl-4 col-form-label" })
                            @Html.TextBoxFor(m => m.OwnerInfo.BranchName, new { @class = "form-control form-control-sm col-12 col-md-8 col-lg-8 col-xl-8", placeholder = "Branch Name", id = "owner-branch", type = "text", onkeyup = "func_for_unsaved()" })
                        </div>
                    </div>
                </div>
                <h5 style="border-bottom: 3px solid #8585ce">Other Information</h5>
                <div class="row">
                    <div class="col-6">
                        <div class="form-group row mb-3">
                            @Html.LabelFor(m => m.OwnerInfo.NID, new { @class = "col-12 col-md-4 col-lg-4 col-xl-4 col-form-label" })
                            @Html.TextBoxFor(m => m.OwnerInfo.NID, new { @class = "form-control form-control-sm col-12 col-md-8 col-lg-8 col-xl-8", placeholder = "Owner's NID", id = "owner-NID", type = "text", onkeyup = "func_for_unsaved()" })
                        </div>
                    </div>
                    <div class="col-6">
                        <div class="form-group row mb-3">
                            <label class="col-sm-3 col-lg-5 col-md-3  col-form-label" style="text-align: left">NID File</label>
                            <div class="col-sm-3 col-lg-2 col-md-3">
                                <input id="NIDfile" type="file" style="color: transparent" />
                            </div>
                            <div class="col-sm-3 col-lg-5 col-md-3">
                                @{
                                        var time1 = "?" + DateTime.Now.ToString("h:mm:ss tt");
                                }
                                @{
                                        if (Model.IsNIDFileExists == true)
                                        {
                                    <a id="NID-file-link" href="@Href(Model.OwnerInfo.NIDFilePath+time1)" target="_blank">@Model.OwnerInfo.SlotId</a>
                                        }
                                        else
                                        {
                                    <a id="NID-file-link" href="" target="_blank"></a>
                                        }
                                }
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-6">
                        <div class="form-group row mb-3">
                            @Html.LabelFor(m => m.OwnerInfo.TIN, new { @class = "col-12 col-md-4 col-lg-4 col-xl-4 col-form-label" })
                            @Html.TextBoxFor(m => m.OwnerInfo.TIN, new { @class = "form-control form-control-sm col-12 col-md-8 col-lg-8 col-xl-8", placeholder = "Owner's TIN", id = "owner-TIN", type = "text", onkeyup = "func_for_unsaved()" })
                        </div>
                    </div>
                    <div class="col-6">
                        <div class="form-group row mb-3">
                            <label class="col-sm-3 col-lg-5 col-md-3  col-form-label" style="text-align: left">TIN File</label>
                            <div class="col-sm-3 col-lg-2 col-md-3">
                                <input id="TINfile" type="file" style="color: transparent" />
                            </div>
                            <div class="col-sm-3 col-lg-5 col-md-3">
                                @{
                                        var time2 = "?" + DateTime.Now.ToString("h:mm:ss tt");
                                }
                                @{
                                        if (Model.IsTINFileExists == true)
                                        {
                                    <a id="TIN-file-link" href="@Href(Model.OwnerInfo.TINFilePath+time2)" target="_blank">@Model.OwnerInfo.SlotId</a>
                                        }
                                        else
                                        {
                                    <a id="TIN-file-link" href="" target="_blank"></a>
                                        }
                                }
                            </div>
                        </div>
                    </div>
                </div>
                <div class="text-center">
                    <button type="submit" class="btn btn-primary m-1" onclick="full_submit()">Submit</button>
                    <button type="reset" class="btn btn-danger m-1">Reset</button>
                </div>
                @Html.HiddenFor(m => m.OwnerInfo.OwenerId)
                @Html.HiddenFor(m => m.OwnerInfo.Name)
                }
            </div>
        </div>
    </div>
    <script>
        var flg = false;
    </script>
    <script>
        function func_for_unsaved() {
            document.getElementById('unsaved-icon').style.display = 'inline-block';

        }
    </script>
    <script>
        window.addEventListener('load', function () {
            document.querySelector('input[id="NIDfile"]').addEventListener('change', function () {
                document.getElementById('unsaved-icon').style.display = 'inline-block';
                if (this.files && this.files[0]) {
                    var type = this.files[0].type.toString();
                    //alert(type);
                    if (type == "application/pdf") {
                        flg = true;
                        var img = $('#NID-file-link')[0];  // $('img')[0]
                        img.href = URL.createObjectURL(this.files[0]);
                        img.text = this.files[0].name;
                        img.onload = imageIsLoaded; // optional onload event listener
                    } else {
                        toastr.error('Your uploaded NID file type is not of PDF format. Please, upload a pdf file.', 'Error', {
                            closeButton: true,
                            progressBar: true,
                        });
                        @{
                            var time_nid = "?" + DateTime.Now.ToString("h:mm:ss tt");
                        }
                        var img = $('#NID-file-link')[0];
                        img.href = "@Href(Model.OwnerInfo.NIDFilePath+time_nid)";
                        img.text = "@Model.OwnerInfo.SlotId";
                        img.onload = imageIsLoaded;
                    }
                }
            });
        });
    </script>

    <script type="text/javascript">
        function function_edit_nid_file() {
            var UserName = '@Model.OwnerInfo.SlotId';
            //alert(UserName);
            //document.getElementById('uploader').onsubmit = function() {
            var formdata = new FormData(); //FormData object
            var fileInput = $('#NIDfile')[0];
            //Iterating through each files selected in fileInput
            //alert(fileInput.files[0].name);

            for (i = 0; i < fileInput.files.length; i++) {
                var file = fileInput.files[i];

                //Appending each file to FormData object
                formdata.append(file.name, file);
            }
            //Creating an XMLHttpRequest and sending
            var xhr = new XMLHttpRequest();
            xhr.open('POST', '../Owner/Upload_NIDFile_Edit/');
            xhr.send(formdata);
            xhr.onreadystatechange = function () {
                if (xhr.readyState == 4 && xhr.status == 200) {
                    //alert(xhr.responseText);
                }
            }
            return false;
        }
    </script>

    <script>
        window.addEventListener('load', function () {
            document.querySelector('input[id="TINfile"]').addEventListener('change', function () {
                document.getElementById('unsaved-icon').style.display = 'inline-block';

                if (this.files && this.files[0]) {
                    var type = this.files[0].type.toString();
                    //alert(type);
                    if (type == "application/pdf") {
                        flg = true;
                        var img = $('#TIN-file-link')[0]; // $('img')[0]
                        img.href = URL.createObjectURL(this.files[0]);
                        img.text = this.files[0].name;
                        img.onload = imageIsLoaded; // optional onload event listener
                    } else {
                        toastr.error('Your uploaded TIN file type is not of PDF format. Please, upload a pdf file.', 'Error', {
                            closeButton: true,
                            progressBar: true,
                        });
                        @{
                            var time_tin = "?" + DateTime.Now.ToString("h:mm:ss tt");
                        }
                        var img = $('#TIN-file-link')[0];
                        img.href = "@Href(Model.OwnerInfo.TINFilePath+time_tin)";
                        img.text = "@Model.OwnerInfo.SlotId";
                        img.onload = imageIsLoaded;
                    }
                }
            });
        });
    </script>

    <script type="text/javascript">
        function function_edit_tin_file() {
            var UserName = '@Model.OwnerInfo.SlotId';
            //document.getElementById('uploader').onsubmit = function() {
            var formdata = new FormData(); //FormData object
            var fileInput = $('#TINfile')[0];
            //Iterating through each files selected in fileInput

            for (i = 0; i < fileInput.files.length; i++) {
                var file = fileInput.files[i];

                //Appending each file to FormData object
                formdata.append(file.name, file);
            }
            //Creating an XMLHttpRequest and sending
            var xhr = new XMLHttpRequest();
            xhr.open('POST', '../Owner/Upload_TINFile_Edit/');
            xhr.send(formdata);
            xhr.onreadystatechange = function () {
                if (xhr.readyState == 4 && xhr.status == 200) {
                    //alert(xhr.responseText);
                }
            }
            return false;
        }
    </script>

    <script>
        window.addEventListener('load', function () {
            document.querySelector('input[type="file"]').addEventListener('change', function () {
                document.getElementById('unsaved-icon').style.display = 'inline-block';
                //flg = true;
                if (this.files && this.files[0]) {
                    var type = this.files[0].type.toString().split('/')[0];
                    //alert(type);
                    if (type == "image") {
                        flg = true;
                        var img = $('#profile-pic')[0]; // $('img')[0]
                        //alert(this.files[0].type);
                        img.src = URL.createObjectURL(this.files[0]); // set src to file url
                        img.onload = imageIsLoaded; // optional onload event listener
                    } else {
                        toastr.error('Your uploaded image file type is not supported. Please, upload a jpg/jpeg/png type image.', 'Error!!!!', {
                            closeButton: true,
                            progressBar: true,
                        });
                        @{
                            var time_pic = "?" + DateTime.Now.ToString("h:mm:ss tt");
                        }
                        var img = $('#profile-pic')[0];
                        img.src = "@Href(Model.OwnerInfo.PicturePath+ time_pic)";
                        //img.text = "@Model.OwnerInfo.SlotId";
                        img.onload = imageIsLoaded;
                    }
                }
            });
        });

        //function imageIsLoaded(e) { //alert(e); }


    </script>
    <script type="text/javascript">
        function function_edit_picture() {
            var UserName = '@Model.OwnerInfo.SlotId';
            //alert(UserName);
            //document.getElementById('uploader').onsubmit = function() {
            var formdata = new FormData(); //FormData object
            var fileInput = $('#file')[0];
            //Iterating through each files selected in fileInput
            //alert(fileInput.files[0].name);

            for (i = 0; i < fileInput.files.length; i++) {
                //Appending each file to FormData object
                formdata.append(fileInput.files[i].name, fileInput.files[i], UserName+".jpg");
            }
            //Creating an XMLHttpRequest and sending
            var xhr = new XMLHttpRequest();
            xhr.open('POST', '../Owner/Upload_Edit/');
            xhr.send(formdata);
            xhr.onreadystatechange = function () {
                if (xhr.readyState == 4 && xhr.status == 200) {
                    //alert(xhr.responseText);
                }
            }
            return false;
        }
    </script>
    <script type="text/javascript">
        function full_submit() {
            var fileInput = $('#file')[0];
            var TINfileInput = $('#TINfile')[0];
            var NIDfileInput = $('#NIDfile')[0];
            //            //alert(fileInput.files.length);
            if (fileInput.files.length != 0) {
                function_edit_picture();
            }
            if (TINfileInput.files.length != 0) {
                function_edit_tin_file();
            }
            if (NIDfileInput.files.length != 0) {
                function_edit_nid_file();
            }
            //alert(flg);
            var mobile = new String($("#owner-mobile").val());
            var mobile_from_db = new String("@Model.OwnerInfo.Mobile");



            var isEqual = JSON.stringify(mobile) === JSON.stringify(mobile_from_db);


            @*var NID = new String($("#owner-NID").val());
            var NID_from_db = new String("@Model.OwnerInfo.NID");
            var isEqual = JSON.stringify(NID) === JSON.stringify(NID_from_db);


            var AccountName = new String($("#owner-AccountName").val());
            var AccountName_from_db = new String("@Model.OwnerInfo.AccountName");
            var isEqual = JSON.stringify(AccountName) === JSON.stringify(AccountName_from_db);


            var AccountNo = new String($("#owner-AccountNo").val());
            var AccountNo_from_db = new String("@Model.OwnerInfo.AccountNo");
            var isEqual = JSON.stringify(AccountNo) === JSON.stringify(AccountNo_from_db);
            var BankName = new String($("#owner-BankName").val());
            var BankName_from_db = new String("@Model.OwnerInfo.BankName");
            var isEqual = JSON.stringify(BankName) === JSON.stringify(BankName_from_db);
            var RoutingNo = new String($("#owner-RoutingNo").val());
            var RoutingNo_from_db = new String("@Model.OwnerInfo.RoutingNo");
            var isEqual = JSON.stringify(RoutingNo) === JSON.stringify(RoutingNo_from_db);*@

            var Password = new String($("#owner-Password").val());
            var Password_from_db = new String("@Model.OwnerInfo.Password");
            var isEqual = JSON.stringify(Password) === JSON.stringify(Password_from_db);
            @*var TIN = new String($("#owner-TIN").val());
            var TIN_from_db = new String("@Model.OwnerInfo.TIN");
            var isEqual = JSON.stringify(TIN) === JSON.stringify(TIN_from_db);*@


            //alert(mobile+" "+mobile.length);
            //alert(mobile_from_db + " " + mobile_from_db.length);

            //alert(isEqual);
            //alert(mobile.equals(mobile_from_db)+"");
            var owner_pre_address = new String(($("#owner-pre-address").val()));
            var owner_pre_address_from_db = new String("@Model.OwnerInfo.PresentAddress");

            //alert(owner_pre_address);
            //alert(owner_pre_address_from_db);
            var isEqual1 = JSON.stringify(owner_pre_address) === JSON.stringify(owner_pre_address_from_db);
            //alert(isEqual1);

            var owner_per_address = new String($("#owner-per-address").val());
            var owner_per_address_from_db = new String("@Model.OwnerInfo.PermanantAddress");

            //alert(owner_per_address);
            //alert(owner_per_address_from_db);
            var isEqual2 = JSON.stringify(owner_per_address) === JSON.stringify(owner_per_address_from_db);
            //alert(isEqual2);

            var owner_email = new String($("#owner-email").val());
            var owner_email_from_db = new String("@Model.OwnerInfo.Email");

            //alert(owner_email);
            //alert(owner_email_from_db);
            var isEqual3 = JSON.stringify(owner_email) === JSON.stringify(owner_email_from_db);
            //alert(isEqual3);

            //alert(flg);
            if (isEqual &&
                isEqual1 &&
                isEqual2 &&
                isEqual3) {
                ////flg = true;
            } else {
                flg = true;
            }
            //alert(flg);
            if (flg == true) {
                var myModel = {
                    flag: flg,
                    ownerId: "@Model.OwnerInfo.OwenerId",
                    ownerMobileNumber: mobile
                };
                $.ajax({
                    context: this,
                    type: 'post',
                    url: '../Owner/SendingEditSMSwithNotificationUpdateAfterLoggedIn/',
                    data: myModel,
                    success: function (result) {
                        //alert(myModel.PartialUserDetailsViewModels);
                        //window.location = '../Home/About';
                    },
                    error: function () {
                        //error();
                    }
                });
            }
        }
    </script>
    <script>

        $(function () {
            $('[data-toggle="tooltip"]').tooltip()
        })
    </script>
</body>
</html>

